public class Caballo extends Pieza {
    /////////////////////////////// Inicializators
    public Caballo(Jugador duenio){
        super(duenio);
        this.nombre = "Caballo";
        this.sigla = 'C';
        this.valor = 3;
    }
    
    /////////////////////////////// Methods
    public boolean validarMovimiento(Casilla casillaActual, Casilla casillaObjtivo, Tablero tablero){
        int x = casillaActual.getX();
        int y = casillaActual.getY();
        int xo = casillaObjtivo.getX();
        int yo = casillaObjtivo.getY();
        boolean puede = false;
        if (casillaActual.equals(casillaObjtivo)){
            return puede;
        }
        if (this.getDuenio().equals(casillaObjtivo.getPieza().getDuenio())){
            return puede;
        }
        if (Math.pow(x-xo,2)+Math.pow(y-yo,2) == 5){
            puede = true;
        }                
        return puede;
    }

}