class Casilla{
    /////////////////////////////// Parameters
    private int[] color = new int[3];   // Por si alguna vez se implementa una interfaz grafica
    private Pieza pieza;                // La pieza que esta ubicada en la casilla, null si no hay ninguna
    private int x;  // crece haca la derecha
    private int y;  // crece hacia arriba

    /////////////////////////////// Inicializators
    public Casilla(int x, int y){
        this.x = x;
        this.y = y;
        this.color = new int[]{255,255,255};
    }
    public Casilla(int x, int y, Pieza pieza){
        this.x = x;
        this.y = y;
        this.pieza = pieza;
        this.color = new int[]{255,255,255};
    }
    /////////////////////////////// Methods
    public int[] getColor(){
        return this.color;
    }
    public Pieza getPieza(){
        return this.pieza;
    }
    public int getX(){
        return this.x;
    }
    public int getY(){
        return this.y;
    }
    public void setPieza(Pieza pieza){
        this.pieza = pieza;
    }
    public boolean validarMovimiento(Casilla casillaObjtivo, Tablero tablero){
        if (this.pieza instanceof Alfil){ 
            if (((Alfil) this.pieza).validarMovimiento(this, casillaObjtivo, tablero)){
                return true;
            } 
        } 
        if (this.pieza instanceof Caballo){ 
            if (((Caballo) this.pieza).validarMovimiento(this, casillaObjtivo, tablero)){
                return true;
            } 
        } 
        if (this.pieza instanceof Torre){ 
            if (((Torre) this.pieza).validarMovimiento(this, casillaObjtivo, tablero)){
                return true;
            } 
        } 
        if (this.pieza instanceof Peon){ 
            if (((Peon) this.pieza).validarMovimiento(this, casillaObjtivo, tablero)){
                return true;
            } 
        } 
        if (this.pieza instanceof Quina){ 
            if (((Quina) this.pieza).validarMovimiento(this, casillaObjtivo, tablero)){
                return true;
            } 
        } 
        if (this.pieza instanceof Rey){ 
            if (((Rey) this.pieza).validarMovimiento(this, casillaObjtivo, tablero)){
                return true;
            } 
        } 
        if (this.pieza instanceof Torre){ 
            if (((Torre) this.pieza).validarMovimiento(this, casillaObjtivo, tablero)){
                return true;
            } 
        } 
        return false;
    }
}