/**
 * Cliente_Jugador
 */
import java.io.*;
import java.net.*;
import java.util.Scanner;

 public class Cliente_Jugador {
    public static void main(String[] args) {
        Scanner in_console = new Scanner(System.in);
        System.out.println("Bienvenido a ULTIMATE CHESS ARAGORN 3.0");
        if(args.length<2){
            System.out.println("Faltan argumentos para iniciar el juego ULTIMATE CHESS ARAGORN 3.0 <Host> <Puerto> [s]");
            System.exit(-1);
        }
        else{
            //Host del servidor
            String HOST = args[0];
            //Puerto del servidor
            int PUERTO = Integer.parseInt(args[1]);
            DataInputStream in;
            DataOutputStream out;
            int id_jugador;
            int turno;
            try {
                //Creo el socket para conectarme con el server
                Socket sc = new Socket(HOST, PUERTO);

                in = new DataInputStream(sc.getInputStream());
                out = new DataOutputStream(sc.getOutputStream());
                int wait = 0;
                String mensaje_in=in.readUTF();
                System.out.println(mensaje_in);
                mensaje_in=in.readUTF();//id player
                id_jugador=Integer.parseInt(mensaje_in);
                while(true){
                    mensaje_in=in.readUTF();//Tablero
                    System.out.println(mensaje_in);
                    mensaje_in=in.readUTF();//Turno Jugador
                    turno=Integer.parseInt(mensaje_in);
                    System.out.println("CLIENTE: El turno es del jugador "+mensaje_in);
                    System.out.println("Soy el jugador"+ id_jugador);
                    if(id_jugador==turno){
                        System.out.print("CLIENTE: Ingrese Movimiento(Ej A2 a A3):");
                        String s = in_console.nextLine();
                        out.writeUTF(s);
                    }
                    else{
                        mensaje_in=in.readUTF();// Se realiza movimiento
                        System.out.println("El otro jugador realiza"+mensaje_in);
                    }
                }
            }
                
            catch (Exception e) {
                e.printStackTrace();
                System.exit(0);
            }
        }
    }
}