class Tablero{
    /////////////////////////////// Parameters
    private Casilla[][] casillas = new Casilla[8][8];
    int state;
    //////////////////////  COLOR LETRAS
    public static final String ANSI_RESET = "\u001B[0m";
    public static final String ANSI_BLACK = "\u001B[30m";
    public static final String ANSI_RED = "\u001B[31m";
    public static final String ANSI_GREEN = "\u001B[32m";
    public static final String ANSI_YELLOW = "\u001B[33m";
    public static final String ANSI_BLUE = "\u001B[34m";
    public static final String ANSI_PURPLE = "\u001B[35m";
    public static final String ANSI_CYAN = "\u001B[36m";
    public static final String ANSI_WHITE = "\u001B[37m";
    //////////////////////   COLOR FONDO LETRAS
    public static final String ANSI_BLACK_BACKGROUND = "\u001B[40m";
    public static final String ANSI_RED_BACKGROUND = "\u001B[41m";
    public static final String ANSI_GREEN_BACKGROUND = "\u001B[42m";
    public static final String ANSI_YELLOW_BACKGROUND = "\u001B[43m";
    public static final String ANSI_BLUE_BACKGROUND = "\u001B[44m";
    public static final String ANSI_PURPLE_BACKGROUND = "\u001B[45m";
    public static final String ANSI_CYAN_BACKGROUND = "\u001B[46m";
    public static final String ANSI_WHITE_BACKGROUND = "\u001B[47m";

    /////////////////////////////// Inicializators
    public Tablero(Jugador jug1, Jugador jug2){
        reiniciarTablero(jug1,jug2);
    }

    /////////////////////////////// Methods
    // public Casilla[][] set_game_board(String pos_tab){
    //     //COdificar inverso
    //     Casilla[][] casillas={{new Casilla(1,1)},{new Casilla(2,2)}};
    //     for(int i = 0 ; i <8;i++){
    //         for(int j = 0; j<8; j++){
    //             pos_tab.charAt(8*i+j);
                
    //         }
    //     }
    //     return casillas;
    // }
    public String get_game_board(int id_jugador){
        String tabpos = "\t\t\t--------------------- \n";
        if(id_jugador==1){
            for(int i = 7 ; i >-1;i--){
                tabpos = tabpos.concat("\t\t\t");
                tabpos = tabpos.concat(Integer.toString(i+1));
                tabpos = tabpos.concat(" | ");
                for(int j = 0; j<8 ; j++){
                    if ((i+j)%2 == 0){
                        tabpos.concat(ANSI_WHITE_BACKGROUND);
                    }
                    else{
                        tabpos.concat(ANSI_BLACK_BACKGROUND);
                    }
                    tabpos = tabpos.concat(casillas[i][j].getPieza().getColor());
                    tabpos = tabpos.concat(Character.toString(casillas[i][j].getPieza().getSigla()));
                    tabpos = tabpos.concat(" "); 
                }
                tabpos = tabpos.concat(ANSI_RESET);
                tabpos = tabpos.concat("|\n");
            }
            tabpos = tabpos.concat("\t\t\t---------------------");
            tabpos = tabpos.concat("\n");
            tabpos = tabpos.concat("\t\t\t- - A B C D E F G H - \n");
            return tabpos;
        }
        else{
            for(int i = 0 ; i < 8 ;i++){
                tabpos = tabpos.concat("\t\t\t");
                tabpos = tabpos.concat(Integer.toString(8-i));
                tabpos = tabpos.concat(" | ");
                for(int j = 7; j>-1 ; j--){
                    if ((i+j)%2 == 0){
                        tabpos.concat(ANSI_WHITE_BACKGROUND);
                    }
                    else{
                        tabpos.concat(ANSI_BLACK_BACKGROUND);
                    }
                    tabpos = tabpos.concat(casillas[i][j].getPieza().getColor());
                    tabpos = tabpos.concat(Character.toString(casillas[i][j].getPieza().getSigla()));
                    tabpos = tabpos.concat(" "); 
                }
                tabpos = tabpos.concat(ANSI_RESET);
                tabpos = tabpos.concat("|\n");
            }
            tabpos = tabpos.concat("\t\t\t---------------------");
            tabpos = tabpos.concat("\n");
            tabpos = tabpos.concat("\t\t\t- - A B C D E F G H - \n");
            return tabpos;
        }
    }
    public void run_game(){
        state=1;
    }
    public void stop_game(){
        state=0;
    }
    public int state(){
        return state;
    }
    public Casilla getCasilla(int x, int y){
        return casillas[y][x];
    }
    public void limpiarTablero(){
        for (int i=0; i<8; i++){
            for (int j=0; j<8; j++){
                casillas[i][j] = new Casilla(i,j);
            }
        }
    }
    public void reiniciarTablero(Jugador jugador1, Jugador jugador2){
        casillas[0][0] = new Casilla(0,0,new Torre(jugador1));
        casillas[0][1] = new Casilla(1,0,new Caballo(jugador1));
        casillas[0][2] = new Casilla(2,0,new Alfil(jugador1));
        casillas[0][3] = new Casilla(3,0,new Quina(jugador1));
        casillas[0][4] = new Casilla(4,0,new Rey(jugador1));
        casillas[0][5] = new Casilla(5,0,new Alfil(jugador1));
        casillas[0][6] = new Casilla(6,0,new Caballo(jugador1));
        casillas[0][7] = new Casilla(7,0,new Torre(jugador1));
        for (int j=1; j<7; j++){   // filas
            jugador1.addCasilla(casillas[0][j]);
        }
        for (int i=1; i<7; i++){   // filas
            for (int j=0; j<8; j++){
                if (i==1){
                    casillas[i][j] = new Casilla(j,i,new Peon(jugador1));
                    jugador1.addCasilla(casillas[i][j]);
                }
                if (1<i && i<6){
                    casillas[i][j] = new Casilla(j,i,new Vacio());
                }
                if (i==6){
                    casillas[i][j] = new Casilla(j,i,new Peon(jugador2));
                    jugador2.addCasilla(casillas[i][j]);
                }
            }
        }
        casillas[7][0] = new Casilla(0,7,new Torre(jugador2));
        casillas[7][1] = new Casilla(1,7,new Caballo(jugador2));
        casillas[7][2] = new Casilla(2,7,new Alfil(jugador2));
        casillas[7][3] = new Casilla(3,7,new Rey(jugador2));
        casillas[7][4] = new Casilla(4,7,new Quina(jugador2));
        casillas[7][5] = new Casilla(5,7,new Alfil(jugador2));
        casillas[7][6] = new Casilla(6,7,new Caballo(jugador2));
        casillas[7][7] = new Casilla(7,7,new Torre(jugador2));
        
        for (int j=1; j<7; j++){ //filas
            jugador2.addCasilla(casillas[7][j]);
        }
    }
    public boolean efectuarMovimiento(Jugador duenio, Jugador rival, int xa, int ya, int xo, int yo){
        if((xa<0 || xa>7) || (ya<0 || ya>7) || (xo<0 || xo>7) || (yo<0 || yo>7)){
            return false;
        }
        Casilla actual = this.getCasilla(xa, ya);
        if (actual.getPieza() instanceof Vacio){
            return false;
        }
        if (actual.getPieza().getDuenio().equals(duenio) == false){
            return false;
        }
        Casilla objetivo = this.getCasilla(xo, yo);
        if (actual.validarMovimiento(objetivo, this)){   // Casilla.validarMovimiento
            this.casillas[yo][xo].setPieza(actual.getPieza());
            this.casillas[ya][xa].setPieza(new Vacio());
            actualizarPiezasJugadores(duenio, rival);
            return true;
        }
        return false;
    }
    private void actualizarPiezasJugadores(Jugador jug1, Jugador jug2){
        jug1.deleteCasillas();
        jug2.deleteCasillas();
        for (int i=0; i<8; i++){
            for (int j=0; j<8; j++){
                Casilla casilla = this.getCasilla(i, j);
                Jugador duenio = casilla.getPieza().getDuenio();
                if (jug1.equals(duenio)){
                    jug1.addCasilla(casilla);
                }
                if (jug2.equals(duenio)){
                    jug2.addCasilla(casilla);
                }
            }
        } 
    }
}